Subject: Introduce shadowColumnsForMovePlaceholders property
Description

$TCA[<table>]['ctrl']['shadowColumnsForMovePlaceholders'] behaves similar to shadowColumnsForNewPlaceholders but is only used
for move placeholders.

Related issues:
related to TCA Reference - Feature # 56749: New TCA control property shadowCo... Closed 2014-03-11
related to Core - Bug # 32967: Backend workspace copy/cut paste column conten... Closed 2012-01-04

Associated revisions
Revision 6e9fd7da - 2014-03-21 20:08 - Oliver Hader

[FEATURE] Introduce shadowColumnsForMovePlaceholders property

$TCA[<table>]['ctrl']['shadowColumnsForMovePlaceholders'] behaves
similar to shadowColumnsForNewPlaceholders but is only used for
move placeholders.

If shadowColumnsForMovePlaceholders is not defined in particular
for a table, but shadowColumnsForNewPlaceholders is defined,
then that value is used as a fallback - since that property
existed for a longer time already.

Resolves: #56994
Documentation: #56749
Releases: 6.2
Change-Id: Icdbd35234efae8162cfb2dc15a2838acd22370b1
Reviewed-on: https://review.typo3.org/28473
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2014-03-17 15:29 - Gerrit Code Review
- Status changed from New to Under Review

2015-08-04 1/3

https://review.typo3.org/28473


Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28473

#2 - 2014-03-17 16:22 - Thorsten Kahler
- Status changed from Under Review to Needs Feedback

Why do we need another config option for move placeholders? What's the difference to new placeholders in this context?

#3 - 2014-03-17 16:37 - Timo Webler

Available changes for move placeholder:

    -  #32967
    -  https://review.typo3.org/18107

#4 - 2014-03-17 17:07 - Oliver Hader

Thorsten Kahler wrote:

Why do we need another config option for move placeholders? What's the difference to new placeholders in this context?

The difference is "it is used for move placeholders" only... as written...

The reason for that is the way move-placeholders are overlaid in the frontend.
See https://review.typo3.org/#/c/27774/ and the accordant CSV tests on sorting/moving things...

#5 - 2014-03-17 18:26 - Oliver Hader

Timo Webler wrote:

Available changes for move placeholder:
    -  #32967
    -  https://review.typo3.org/18107

For IRRE that's not enough - the action happens in DataHandlerHook::moveRecord    -  DataHandler::versionizeRecord (creates version and the new
placeholder)
    -  DataHanderHook::moveRecord_wsPlaceholders (creates move placeholder after everything was processed and remapped (remapStack))
I've applied your patch locally and disable the new movePlaceHolder property - the TravisCI test fail
    -  https://travis-ci.org/ohader/TYPO3.CMS/jobs/20950988 (the expected values are not set, thus misusing the newPlaceHolder property is not
enough)
    -  https://travis-ci.org/ohader/TYPO3.CMS/jobs/20951081 (disabled the DataSet assertions - thus behaviour in frontend is not as expected)

#6 - 2014-03-17 23:33 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review
Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28473

#7 - 2014-03-18 08:52 - Oliver Hader

Gerrit Code Review wrote:

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28473

This change combines the new property for "move" with the old property for "new" as a fallback...
Thus, one can decide whether to override/disable on demand.

#8 - 2014-03-18 22:33 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28473

#9 - 2014-03-18 23:32 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28473

#10 - 2014-03-21 20:06 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28473

#11 - 2014-03-21 20:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6e9fd7da1b26e2860d4ce9ee9dd01f666d89be34.
